// vim: set tw=80 ts=2 sw=2 sts=2 :

import { Routes } from '@angular/router';

import { OperationListComponent } from './operationList.component';
import { OperationNewComponent } from './operationNew.component';
import { OperationEditComponent } from './operationEdit.component';

export const OperationRoutes: Routes = [{
  path: 'account/:accountId/operations',
  component: OperationListComponent,
  //onSameUrlNavigation: 'reload'
}, {
  path: 'account/:accountId/operations/new',
  component: OperationNewComponent,
}, {
  path: 'account/:accountId/operations/:operationId/edit',
  component: OperationEditComponent,
}];
